Bug 374493 - Page orientation does not affect previously selected dimension in New Image dialog
Summary: Page orientation does not affect previously selected dimension in New Image d...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 3.1.1
Platform: Other Microsoft Windows
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-03 11:45 UTC by Neviril
Modified: 2019-04-06 14:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Neviril 2017-01-03 11:45:06 UTC
=Reproducibility=

Always reproducible.

=How to reproduce=

1) File > New. The new image creation dialog appears;
2) Click on the Width or Height dimension box to edit it;
3) Click the orientation icons (Vertical|Horizontal) one or more times.

=What happens=

The selected dimension does not get affected by the page orientation setting and as a result the width and height will become equal (square).

=Expected result=

The page orientation setting should have an effect even after one of the dimensions has been previously clicked for editing.
Comment 1 Halla Rempt 2017-01-03 11:49:13 UTC
Hi Neviril,

Thanks for your report. I can confirm the issue. It only happens if one of the width or height entry boxes has the edit focus.
Comment 2 Anna Medonosova 2019-04-06 14:44:17 UTC
Git commit 6f3ea24f84e2f70b3dbbfd1837fa223d297f4309 by Anna Medonosova.
Committed on 06/04/2019 at 14:44.
Pushed by amedonosova into branch 'master'.

Fix page orientation switch in new image dialog

Summary:
KisDoubleParseSpinBox does not update it's state while being edited (to
allow for the math formulas to work correctly). If the cursor is in the
number field while the user is changing page orientation, the focused
spinbox's value does not change. To work around that, this patch clears
focus on the width and height spinboxes before switching page
orientation.

Reviewers: #krita, rempt

Reviewed By: #krita, rempt

Tags: #krita

Differential Revision: https://phabricator.kde.org/D20300

M  +3    -0    libs/ui/widgets/kis_custom_image_widget.cc

https://commits.kde.org/krita/6f3ea24f84e2f70b3dbbfd1837fa223d297f4309